# Uses of Class
java.lang.SecurityManager

Packages that use SecurityManager
Package
Description
java.lang
Provides classes that are fundamental to the design of the Java programming language.
java.rmi
Provides the RMI package.

## Uses of SecurityManager in java.lang

Methods in java.lang that return SecurityManager
Modifier and Type
Method
Description
`static SecurityManager`
System.`getSecurityManager()`
Gets the system-wide security manager.
Methods in java.lang with parameters of type SecurityManager
Modifier and Type
Method
Description
`static void`
System.`setSecurityManager​(SecurityManager sm)`
Sets the system-wide security manager.

## Uses of SecurityManager in java.rmi

Subclasses of SecurityManager in java.rmi
Modifier and Type
Class
Description
`class`
`RMISecurityManager`
Deprecated.
Use `SecurityManager` instead.